<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Migration guide</title>
    <author email="vmassol@apache.org">Vincent Massol</author>
  </properties>

  <body>
    <section name="Migrating from version 1.x to version 2.x">
      <p>
        The Checkstyle plugin version 1.x was using Checkstyle 2.x and the new
        2.x versions uses Checkstyle 3.x. The Maven goals for the Checkstyle
        plugins have not changed and the way to invoke it can either be
        <code>maven checkstyle</code> or <code>maven checkstyle:report</code>.
      </p>
      <p>
        Some <a href="properties.html">properties</a> have changed. The most
        important change is probably the addition of a 
        <code>maven.checkstyle.header.file</code> one to point to your 
        License file.
      </p>
      <p>
        The major migration step is to migrate your previous Checkstyle
        properties (located in a properties file) to the new XML configuration
        file introduced by Checkstyle 3.x. The new configuration is described
        on the
        <a href="http://checkstyle.sourceforge.net/config.html">Checkstyle 
        config page</a>. An example is provided 
        <a href="http://checkstyle.sourceforge.net/sun_checks.xml">here</a>.
        Once you have finished migrating your Checkstyle configuration, modify
        the <code>maven.checkstyle.properties</code> property point to the
        new XML file.
      </p>
    </section>
 </body>
</document>
